Page Intersection


This endpoint will provide you with the list of referring pages pointing to the specified targets. It is especially useful for finding the backlinks that point to your competitors but don’t point to your website.

checked POST
Pricing

Your account will be charged for each request.
The cost can be calculated on the Pricing page.

All POST data should be sent in the JSON format (UTF-8 encoding). The task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 2000 API calls per minute, each Live API call can contain only one task. The maximum number of calls that can be sent simultaneously is limited to 30.

You can specify the number of results you want to retrieve, filter and sort them.

Below you will find a detailed description of the fields you can use for setting a task.

Description of the fields for setting a task:

Field nameTypeDescription
targetsobject

domains, subdomains or webpages to get links for
required field
you can set up to 20 domains, subdomains or webpages
a domain or a subdomain should be specified without https:// and www.
a page should be specified with absolute URL (including http:// or https://)
example:
"targets": {
"1": "http://planet.postgresql.org/",
"2": "http://gborg.postgresql.org/"
}

exclude_targetsarray

domains, subdomains or webpages you want to exclude
optional field
you can set up to 10 domains, subdomains or webpages
if you use this array, results will contain the referring pages that link to targets but don't link to exclude_targets
example:
"exclude_targets": [
"bbc.com",
"https://www.apple.com/iphone/*",
"https://dataforseo.com/apis/*"]

backlinks_status_typestring

set what backlinks to return and count
optional field
you can use this field to choose what backlinks will be returned and used for aggregated metrics for your targets;
possible values:
all - all backlinks will be returned and counted;
live - backlinks found during the last check will be returned and counted;
lost - lost backlinks will be returned and counted;

default value: live

filtersarray

array of results filtering parameters
optional field
you can add several filters at once (8 filters maximum)
you should set a logical operator and, or between the conditions
the following operators are supported:
regex, not_regex, =, <>, in, not_in, like, not_like, ilike, not_ilike, match, not_match
you can use the % operator with like and not_like to match any string of zero or more characters
example:
["1.rank",">","80"]

[["2.page_from_rank",">","55"],
"and",
["1.original","=","true"]]

[["1.first_seen",">","2017-10-23 11:31:45 +00:00"],
"and",
[["1.acnhor","like","%seo%"],"or",["1.text_pre","not_like","%seo%"]]]

The full list of possible filters is available here.

order_byarray

results sorting rules
optional field
you can use the same values as in the filters array to sort the results
possible sorting types:
asc - results will be sorted in the ascending order
desc - results will be sorted in the descending order
you should use a comma to set up a sorting type
example:
["rank,desc"]
note that you can set no more than three sorting rules in a single request
you should use a comma to separate several sorting rules
example:
["domain_from_rank,desc","page_from_rank,asc"]

offsetinteger

offset in the results array of the returned backlinks
optional field

default value: 0
if you specify the 10 value, the first ten backlinks in the results array will be omitted and the data will be provided for the successive backlinks

limitinteger

the maximum number of returned backlinks
optional field

default value: 100
maximum value: 1000

internal_list_limitinteger

maximum number of elements within internal arrays
optional field
you can use this field to limit the number of elements within the following arrays:
attributes
domain_from_platform_type

default value: 10
maximum value: 1000

include_subdomainsboolean

indicates if the subdomains of the targets will be included in the search
optional field
if set to false, the subdomains will be ignored
default value: true

include_indirect_linksboolean

indicates if indirect links to the targets will be included in the results
optional field
if set to true, the results will include data on indirect links pointing to a page that either redirects to a target, or points to a canonical page
if set to false, indirect links will be ignored
default value: true

exclude_internal_backlinksboolean

indicates if internal backlinks from subdomains to the target will be excluded from the results
optional field
if set to true, the results will not include data on internal backlinks from subdomains of the same domain as target
if set to false, internal links will be included in the result
default value: true

intersection_modestring

indicates whether to intersect backlinks
optional field
use this field to intersect or merge results for the specified URLs
possible values: all, partial
all - results are based on all backlinks;
partial - results are based on the intersecting backlinks only;
default value: all

rank_scalestring

defines the scale used for calculating and displaying the rank, domain_from_rank, and page_from_rank values
optional field

you can use this parameter to choose whether rank values are presented on a 0–100 or 0–1000 scale

possible values:
one_hundred — rank values are displayed on a 0–100 scale
one_thousand — rank values are displayed on a 0–1000 scale

default value: one_thousand

learn more about how this parameter works and how ranking metrics are calculated in this Help Center article

tagstring

user-defined task identifier
optional field
the character limit is 255
you can use this parameter to identify the task and match it with the result
you will find the specified tag value in the data object of the response

As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

Description of the fields in the results array:

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here
Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array returned with an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of the response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

contains the same parameters that you specified in the POST request

    resultarray

array of results

        targetsobject

targets from a POST array

        total_countinteger

total amount of results relevant the request

        items_countinteger

the number of results returned in the items array

        itemsarray

contains relevant backlinks and referring domains data

            page_intersectionobject

contains data on pages that link to the corresponding targets specified in the POST array
data is provided in separate objects corresponding to pages specified in the targets object

                1array

contains data on a referring page that links to the corresponding target from the POST array
field name varies in the range from 1 to 20 according to the number of domains, subdomains or pages in the targets object

                    typestring

type of element='backlinks_page_intersection'n

                    domain_fromstring

domain referring to the target domain or webpage

                    url_fromstring

URL of the page where the backlink is found

                    url_from_httpsboolean

indicates whether the referring URL is secured with HTTPS
if true, the referring URL is secured with HTTPS

                    domain_tostring

domain the backlink is pointing to

                    url_tostring

URL the backlink is pointing to

                    url_to_httpsboolean

indicates if the URL the backlink is pointing to is secured with HTTPS
if true, the URL is secured with HTTPS

                    tld_fromstring

top-level domain of the referring URL

                    is_newboolean

indicates whether the backlink is new
if true, the backlink was found on the page last time our crawler visited it

                    is_lostboolean

indicates whether the backlink was removed
if true, the backlink or the entire page was removed

                    backlink_spam_scoreinteger

spam score of the backlink
learn more about how the metric is calculated on this help center page

                    rankinteger

backlink rank
rank is calculated based on the method for node ranking in a linked database - a principle used in the original Google PageRank algorithm
learn more about the metric and how it is calculated in this help center article

                    page_from_rankinteger

page rank of the referring page
page_from_rank is calculated based on the method for node ranking in a linked database - a principle used in the original Google PageRank algorithm
learn more about the metric and how it is calculated in this help center article

                    domain_from_rankinteger

domain rank of the referring domain
indicates the rank of the domain at the time our crawler last saw the backlink;
domain_from_rank is calculated based on the method for node ranking in a linked database - a principle used in the original Google PageRank algorithm
learn more about the metric and how it is calculated in this help center article

                    domain_from_platform_typearray

platform types of the referring domain

possible values: cms, blogs, ecommerce, message-boards, wikis, news, organization

                    domain_from_is_ipboolean

indicates if the domain is IP
if true, the domain functions as an IP address and does not have a domain name

                    domain_from_ipstring

IP address of the referring domain

                    domain_from_countrystring

ISO country code of the referring domain

                    page_from_external_linksinteger

number of external links found on the referring page

                    page_from_internal_linksinteger

number of internal links found on the referring page

                    page_from_sizeinteger

size of the referring page, in bytes
example:
63357

                    page_from_encodingstring

character encoding of the referring page
example:
utf-8

                    page_from_languagestring

language of the referring page
in ISO 639-1 format
example:
en

                    page_from_titlestring

title of the referring page

                    page_from_status_codeinteger

HTTP status code returned by the referring page
example:
200

                    first_seenstring

date and time when our crawler found the backlink for the first time
in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”
example:
2019-11-15 12:57:46 +00:00

                    prev_seenstring

previous to the most recent date when our crawler visited the backlink
in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”
example:
2019-11-15 12:57:46 +00:00

                    last_seenstring

most recent date when our crawler visited the backlink
in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”
example:
2019-11-15 12:57:46 +00:00

                    item_typestring

link type
possible values:
anchor, image, link, meta, canonical, alternate, redirect

                    attributesarray

link attributes of the referring links
example:
nofollow

                    dofollowboolean

indicates whether the backlink is dofollow
if false, the backlink is nofollow

                    originalboolean

indicates whether the backlink was present on the referring page when our crawler first visited it

                    altstring

alternative text of the image
this field will be null if backlink type is not image

                    anchorstring

anchor text of the backlink

                    text_prestring

text snippet before the anchor text

                    text_poststring

snippet after the anchor text

                    semantic_locationstring

indicates semantic element in HTML where the backlink is found
you can get the full list of semantic elements here
examples:
article, section, summary

                    links_countinteger

number of identical backlinks found on the referring page

                    group_countinteger

indicates total number of backlinks from this domain
for example, if mode is set to one_per_domain, this field will indicate the total number of backlinks coming from this domain

                    is_brokenboolean

indicates whether the backlink is broken
if true, the backlink is pointing to a page responding with a 4xx or 5xx status code

                    url_to_status_codeinteger

status code of the referenced page
if the value is null, our crawler hasn't yet visited the webpage the link is pointing to
example:
200

                    url_to_spam_scoreinteger

spam score of the referenced page
if the value is null, our crawler hasn't yet visited the webpage the link is pointing to
learn more about how the metric is calculated on this help center page

                    url_to_redirect_targetstring

target url of the redirect
target page the redirect is pointing to

                    is_indirect_linkboolean

indicates whether the backlink is an indirect link
if true, the backlink is an indirect link pointing to a page that either redirects to url_to, or points to a canonical page

                    indirect_link_patharray

indirect link path
indicates a URL or a sequence of URLs that lead to url_to

                        typestring

indirect link type
possible values: redirect, canonical

                        status_codeinteger

HTTP status code of the URL

                        urlstring

indirect link URL

            summaryobject

contains the page intersections summary

                intersections_countinteger

total number of intersections

‌‌

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/backlinks/page_intersection/live" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw '[
    {
        "targets": {
            "1": "football.com",
            "2": "fifa.com"
        },
        "exclude_targets": [
            "skysports.com"
        ],
        "limit": 5,
        "order_by": [
            "1.rank,desc"
        ],
        "filters": [
            [
                "2.domain_from_rank",
                ">",
                400
            ],
            "and",
            [
                "1.dofollow",
                "=",
                true
            ]
        ]
    }
]'
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');
$post_array = array();
// simple way to set a task
$post_array[] = array(
   "targets" => [
      "1" => "football.com",
      "2" => "fifa.com"
   ],
   "exclude_targets" => [
      "skysports.com"
   ],
   "limit" => 10,
   "order_by" => [
      "1.rank,desc"
   ],
   "filters" => [
      [
         "2.domain_from_rank",
         ">",
         400
      ],
      "and",
      [
         "1.dofollow",
         "=",
         true
      ]
   ]
);
try {
   // POST /v3/backlinks/page_intersection/live
   $result = $client->post('/v3/backlinks/page_intersection/live', $post_array);
   print_r($result);
   // do something with post result
} catch (RestClientException $e) {
   echo "n";
   print "HTTP code: {$e->getHttpCode()}n";
   print "Error code: {$e->getCode()}n";
   print "Message: {$e->getMessage()}n";
   print  $e->getTraceAsString();
   echo "n";
}
$client = null;
?>
const post_array = [];

post_array.push({
        "targets": {
            "1": "football.com",
            "2": "fifa.com"
        },
        "exclude_targets": [
            "skysports.com"
        ],
        "limit": 5,
        "order_by": [
            "1.rank,desc"
        ],
        "filters": [
            [
                "2.domain_from_rank",
                ">",
                400
            ],
            "and",
            [
                "1.dofollow",
                "=",
                true
            ]
        ]
});

const axios = require('axios');

axios({
  method: 'post',
  url: 'https://api.dataforseo.com/v3/backlinks/page_intersection/live',
  auth: {
    username: 'login',
    password: 'password'
  },
  data: post_array,
  headers: {
    'content-type': 'application/json'
  }
}).then(function (response) {
  var result = response['data']['tasks'];
  // Result data
  console.log(result);
}).catch(function (error) {
  console.log(error);
});
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
post_data = dict()
# simple way to set a task
post_data[len(post_data)] = dict(
    targets={
        "1":"football.com", 
        "2":"fifa.com"
    },
    exclude_targets=[
        "skysports.com"
    ],
    limit=5,
    order_by=[
       "1.rank,desc"
    ],
    filters=[
        [
          "2.domain_from_rank",
          ">",
          400
        ],
        "and", 
        [
          "1.dofollow",
          "=",
          True
        ]
    ]
)
# POST /v3/backlinks/page_intersection/live
response = client.post("/v3/backlinks/page_intersection/live", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;
namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task backlinks_page_intersection_live()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            var postData = new List<object>();
            Dictionary<string, string> pagesDictionary = new Dictionary<string, string>
            {
                { "1", "football.com" },
                { "2", "fifa.com" }
            };
            // simple way to get a result
            postData.Add(new
            {
                targets = pagesDictionary,
                exclude_targets = new object[] {
                    "skysports.com"
                },
                limit = 5,
                order_by = new object[] { "1.rank,desc" },
                filters = new object[]
                {
                    new object[] { "2.domain_from_rank", ">", 400 },
                    "and",
                    new object[] { "1.dofollow", "=", true }
                }
            });
            // POST /v3/backlinks/page_intersection/live
            // the full list of possible parameters is available in documentation
            var taskPostResponse = await httpClient.PostAsync("/v3/backlinks/page_intersection/live", new StringContent(JsonConvert.SerializeObject(postData)));
            var result = JsonConvert.DeserializeObject<dynamic>(await taskPostResponse.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
  "version": "0.1.20221214",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "14.9959 sec.",
  "cost": 0.02015,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "03211912-1535-0287-0000-fd766e2cbfdc",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "14.9372 sec.",
      "cost": 0.02015,
      "result_count": 1,
      "path": [
        "v3",
        "backlinks",
        "page_intersection",
        "live"
      ],
      "data": {
        "api": "backlinks",
        "function": "page_intersection",
        "targets": {
          "1": "football.com",
          "2": "fifa.com"
        },
        "exclude_targets": [
          "skysports.com"
        ],
        "limit": 5,
        "order_by": [
          "1.rank,desc"
        ],
        "filters": [
          [
            "2.domain_from_rank",
            ">",
            400
          ],
          "and",
          [
            "1.dofollow",
            "=",
            true
          ]
        ]
      },
      "result": [
        {
          "targets": {
            "1": "football.com",
            "2": "fifa.com"
          },
          "total_count": 123,
          "items_count": 5,
          "items": [
            {
              "page_intersection": {
                "1": [
                  {
                    "type": "backlinks_page_intersection",
                    "domain_from": "nzt.eth.link",
                    "url_from": "https://nzt.eth.link/wiki/Lucas_Severino.html",
                    "url_from_https": true,
                    "domain_to": "www.football.com",
                    "url_to": "http://www.football.com/en-gb/the-forgotten-18m-forward-now-making-a-splash-in-japan/",
                    "url_to_https": false,
                    "tld_from": "link",
                    "is_new": false,
                    "is_lost": false,
                    "backlink_spam_score": 30,
                    "rank": 0,
                    "page_from_rank": 0,
                    "domain_from_rank": 468,
                    "domain_from_platform_type": [
                      "unknown"
                    ],
                    "domain_from_is_ip": false,
                    "domain_from_ip": "104.18.165.219",
                    "domain_from_country": null,
                    "page_from_external_links": 11,
                    "page_from_internal_links": 55,
                    "page_from_size": 33621,
                    "page_from_encoding": "utf-8",
                    "page_from_language": null,
                    "page_from_title": "Lucas Severino",
                    "page_from_status_code": 200,
                    "first_seen": "2023-01-16 06:04:13 +00:00",
                    "prev_seen": "2023-01-16 06:04:13 +00:00",
                    "last_seen": "2023-03-20 17:18:13 +00:00",
                    "item_type": "anchor",
                    "attributes": null,
                    "dofollow": true,
                    "original": false,
                    "alt": null,
                    "anchor": null,
                    "text_pre": null,
                    "text_post": null,
                    "semantic_location": null,
                    "links_count": 1,
                    "group_count": 0,
                    "is_broken": false,
                    "url_to_status_code": 301,
                    "url_to_spam_score": 0,
                    "url_to_redirect_target": "https://www.football.com/en-gb/the-forgotten-18m-forward-now-making-a-splash-in-japan/",
                    "is_indirect_link": true,
                    "indirect_link_path": [
                      {
                        "type": "redirect",
                        "status_code": 301,
                        "url": "http://www.worldcup.com/"
                      }
                    ]
                  }
                ],
                "2": [
                  {
                    "type": "backlinks_page_intersection",
                    "domain_from": "nzt.eth.link",
                    "url_from": "https://nzt.eth.link/wiki/Lucas_Severino.html",
                    "url_from_https": true,
                    "domain_to": "www.fifa.com",
                    "url_to": "http://www.fifa.com/tournaments/archive/mensolympic/sydney2000/teams/team=1889256/index.html",
                    "url_to_https": false,
                    "tld_from": "link",
                    "is_new": false,
                    "is_lost": false,
                    "backlink_spam_score": 30,
                    "rank": 0,
                    "page_from_rank": 0,
                    "domain_from_rank": 468,
                    "domain_from_platform_type": [
                      "unknown"
                    ],
                    "domain_from_is_ip": false,
                    "domain_from_ip": "104.18.165.219",
                    "domain_from_country": null,
                    "page_from_external_links": 11,
                    "page_from_internal_links": 55,
                    "page_from_size": 33621,
                    "page_from_encoding": "utf-8",
                    "page_from_language": null,
                    "page_from_title": "Lucas Severino",
                    "page_from_status_code": 200,
                    "first_seen": "2023-01-16 06:04:13 +00:00",
                    "prev_seen": "2023-01-16 06:04:13 +00:00",
                    "last_seen": "2023-03-20 17:18:13 +00:00",
                    "item_type": "anchor",
                    "attributes": null,
                    "dofollow": true,
                    "original": false,
                    "alt": null,
                    "anchor": "http://www.fifa.com/tournaments/archive/mensolympic/sydney2000/teams/team=1889256/index.html",
                    "text_pre": null,
                    "text_post": null,
                    "semantic_location": null,
                    "links_count": 1,
                    "group_count": 0,
                    "is_broken": false,
                    "url_to_status_code": 302,
                    "url_to_spam_score": 0,
                    "url_to_redirect_target": "https://www.fifa.com/tournaments/mens/mensolympic/sydney2000/match-center",
                    "is_indirect_link": false,
                    "indirect_link_path": null
                  }
                ]
              },
              "summary": {
                "intersections_count": 2
              }
            },
            {
              "page_intersection": {
                "1": [
                  {
                    "type": "backlinks_page_intersection",
                    "domain_from": "cloudflare-ipfs.com",
                    "url_from": "https://cloudflare-ipfs.com/ipfs/QmXoypizjW3WknFiJnKLwHCnL72vedxjQkDDP1mXWo6uco/wiki/Iraq_Football_Association.html",
                    "url_from_https": true,
                    "domain_to": "www.football.com",
                    "url_to": "https://www.football.com/en-gb/massive-age-fraud-in-the-iraqi-youth-team/",
                    "url_to_https": true,
                    "tld_from": "com",
                    "is_new": false,
                    "is_lost": false,
                    "backlink_spam_score": 30,
                    "rank": 0,
                    "page_from_rank": 0,
                    "domain_from_rank": 459,
                    "domain_from_platform_type": [
                      "unknown"
                    ],
                    "domain_from_is_ip": false,
                    "domain_from_ip": "104.17.96.13",
                    "domain_from_country": "US",
                    "page_from_external_links": 17,
                    "page_from_internal_links": 237,
                    "page_from_size": 53914,
                    "page_from_encoding": "utf-8",
                    "page_from_language": null,
                    "page_from_title": "Iraq Football Association",
                    "page_from_status_code": 200,
                    "first_seen": "2022-10-01 17:45:47 +00:00",
                    "prev_seen": "2022-10-01 17:45:47 +00:00",
                    "last_seen": "2023-03-11 14:39:04 +00:00",
                    "item_type": "anchor",
                    "attributes": null,
                    "dofollow": true,
                    "original": false,
                    "alt": null,
                    "anchor": "https://www.football.com/en-gb/massive-age-fraud-in-the-iraqi-youth-team/",
                    "text_pre": null,
                    "text_post": null,
                    "semantic_location": null,
                    "links_count": 1,
                    "group_count": 0,
                    "is_broken": true,
                    "url_to_status_code": 503,
                    "url_to_spam_score": 0,
                    "url_to_redirect_target": null,
                    "is_indirect_link": false,
                    "indirect_link_path": null
                  }
                ],
                "2": [
                  {
                    "type": "backlinks_page_intersection",
                    "domain_from": "cloudflare-ipfs.com",
                    "url_from": "https://cloudflare-ipfs.com/ipfs/QmXoypizjW3WknFiJnKLwHCnL72vedxjQkDDP1mXWo6uco/wiki/Iraq_Football_Association.html",
                    "url_from_https": true,
                    "domain_to": "www.fifa.com",
                    "url_to": "http://www.fifa.com/associations/association=irq/index.html",
                    "url_to_https": false,
                    "tld_from": "com",
                    "is_new": false,
                    "is_lost": false,
                    "backlink_spam_score": 30,
                    "rank": 0,
                    "page_from_rank": 0,
                    "domain_from_rank": 459,
                    "domain_from_platform_type": [
                      "unknown"
                    ],
                    "domain_from_is_ip": false,
                    "domain_from_ip": "104.17.96.13",
                    "domain_from_country": "US",
                    "page_from_external_links": 17,
                    "page_from_internal_links": 237,
                    "page_from_size": 53914,
                    "page_from_encoding": "utf-8",
                    "page_from_language": null,
                    "page_from_title": "Iraq Football Association",
                    "page_from_status_code": 200,
                    "first_seen": "2022-10-01 17:45:47 +00:00",
                    "prev_seen": "2022-10-01 17:45:47 +00:00",
                    "last_seen": "2023-03-11 14:39:04 +00:00",
                    "item_type": "anchor",
                    "attributes": null,
                    "dofollow": true,
                    "original": false,
                    "alt": null,
                    "anchor": "FIFA website",
                    "text_pre": null,
                    "text_post": null,
                    "semantic_location": null,
                    "links_count": 1,
                    "group_count": 0,
                    "is_broken": false,
                    "url_to_status_code": 302,
                    "url_to_spam_score": 0,
                    "url_to_redirect_target": "https://www.fifa.com/about-fifa/member-associations",
                    "is_indirect_link": false,
                    "indirect_link_path": null
                  }
                ]
              },
              "summary": {
                "intersections_count": 2
              }
            },
            {
              "page_intersection": {
                "1": [
                  {
                    "type": "backlinks_page_intersection",
                    "domain_from": "www.angelfire.com",
                    "url_from": "https://www.angelfire.com/my/uk100/f1.html",
                    "url_from_https": true,
                    "domain_to": "www.football.com",
                    "url_to": "http://www.football.com/",
                    "url_to_https": false,
                    "tld_from": "com",
                    "is_new": false,
                    "is_lost": false,
                    "backlink_spam_score": 45,
                    "rank": 0,
                    "page_from_rank": 0,
                    "domain_from_rank": 594,
                    "domain_from_platform_type": [
                      "unknown"
                    ],
                    "domain_from_is_ip": false,
                    "domain_from_ip": "209.202.252.105",
                    "domain_from_country": "US",
                    "page_from_external_links": 120,
                    "page_from_internal_links": 10,
                    "page_from_size": 27719,
                    "page_from_encoding": "utf-8",
                    "page_from_language": null,
                    "page_from_title": "100 HOT FORMULA ONE SITES",
                    "page_from_status_code": 200,
                    "first_seen": "2023-01-21 12:11:30 +00:00",
                    "prev_seen": "2023-01-21 12:11:30 +00:00",
                    "last_seen": "2023-03-10 11:02:58 +00:00",
                    "item_type": "anchor",
                    "attributes": null,
                    "dofollow": true,
                    "original": false,
                    "alt": null,
                    "anchor": "football.com",
                    "text_pre": null,
                    "text_post": null,
                    "semantic_location": null,
                    "links_count": 1,
                    "group_count": 0,
                    "is_broken": false,
                    "url_to_status_code": 301,
                    "url_to_spam_score": 0,
                    "url_to_redirect_target": "https://www.football.com/",
                    "is_indirect_link": false,
                    "indirect_link_path": null
                  }
                ],
                "2": [
                  {
                    "type": "backlinks_page_intersection",
                    "domain_from": "www.angelfire.com",
                    "url_from": "https://www.angelfire.com/my/uk100/f1.html",
                    "url_from_https": true,
                    "domain_to": "www.fifa.com",
                    "url_to": "http://www.fifa.com/",
                    "url_to_https": false,
                    "tld_from": "com",
                    "is_new": false,
                    "is_lost": false,
                    "backlink_spam_score": 45,
                    "rank": 0,
                    "page_from_rank": 0,
                    "domain_from_rank": 594,
                    "domain_from_platform_type": [
                      "unknown"
                    ],
                    "domain_from_is_ip": false,
                    "domain_from_ip": "209.202.252.105",
                    "domain_from_country": "US",
                    "page_from_external_links": 120,
                    "page_from_internal_links": 10,
                    "page_from_size": 27719,
                    "page_from_encoding": "utf-8",
                    "page_from_language": null,
                    "page_from_title": "100 HOT FORMULA ONE SITES",
                    "page_from_status_code": 200,
                    "first_seen": "2023-01-21 12:11:30 +00:00",
                    "prev_seen": "2023-01-21 12:11:30 +00:00",
                    "last_seen": "2023-03-10 11:02:58 +00:00",
                    "item_type": "anchor",
                    "attributes": null,
                    "dofollow": true,
                    "original": false,
                    "alt": null,
                    "anchor": "FIFA:",
                    "text_pre": null,
                    "text_post": "Football Association",
                    "semantic_location": null,
                    "links_count": 2,
                    "group_count": 0,
                    "is_broken": false,
                    "url_to_status_code": 301,
                    "url_to_spam_score": 0,
                    "url_to_redirect_target": "https://www.fifa.com/",
                    "is_indirect_link": false,
                    "indirect_link_path": null
                  }
                ]
              },
              "summary": {
                "intersections_count": 2
              }
            },
            {
              "page_intersection": {
                "1": [
                  {
                    "type": "backlinks_page_intersection",
                    "domain_from": "www.angelfire.com",
                    "url_from": "https://www.angelfire.com/my/uk100/tennis.html",
                    "url_from_https": true,
                    "domain_to": "www.football.com",
                    "url_to": "http://www.football.com/",
                    "url_to_https": false,
                    "tld_from": "com",
                    "is_new": false,
                    "is_lost": false,
                    "backlink_spam_score": 45,
                    "rank": 0,
                    "page_from_rank": 0,
                    "domain_from_rank": 594,
                    "domain_from_platform_type": [
                      "unknown"
                    ],
                    "domain_from_is_ip": false,
                    "domain_from_ip": "209.202.252.105",
                    "domain_from_country": "US",
                    "page_from_external_links": 119,
                    "page_from_internal_links": 10,
                    "page_from_size": 27631,
                    "page_from_encoding": "utf-8",
                    "page_from_language": null,
                    "page_from_title": "100 HOT TENNIS SITES",
                    "page_from_status_code": 200,
                    "first_seen": "2023-01-21 12:11:58 +00:00",
                    "prev_seen": "2023-01-21 12:11:58 +00:00",
                    "last_seen": "2023-03-10 11:02:15 +00:00",
                    "item_type": "anchor",
                    "attributes": null,
                    "dofollow": true,
                    "original": false,
                    "alt": null,
                    "anchor": "football.com",
                    "text_pre": null,
                    "text_post": null,
                    "semantic_location": null,
                    "links_count": 1,
                    "group_count": 0,
                    "is_broken": false,
                    "url_to_status_code": 301,
                    "url_to_spam_score": 0,
                    "url_to_redirect_target": "https://www.football.com/",
                    "is_indirect_link": false,
                    "indirect_link_path": null
                  }
                ],
                "2": [
                  {
                    "type": "backlinks_page_intersection",
                    "domain_from": "www.angelfire.com",
                    "url_from": "https://www.angelfire.com/my/uk100/tennis.html",
                    "url_from_https": true,
                    "domain_to": "www.fifa.com",
                    "url_to": "http://www.fifa.com/",
                    "url_to_https": false,
                    "tld_from": "com",
                    "is_new": false,
                    "is_lost": false,
                    "backlink_spam_score": 45,
                    "rank": 0,
                    "page_from_rank": 0,
                    "domain_from_rank": 594,
                    "domain_from_platform_type": [
                      "unknown"
                    ],
                    "domain_from_is_ip": false,
                    "domain_from_ip": "209.202.252.105",
                    "domain_from_country": "US",
                    "page_from_external_links": 119,
                    "page_from_internal_links": 10,
                    "page_from_size": 27631,
                    "page_from_encoding": "utf-8",
                    "page_from_language": null,
                    "page_from_title": "100 HOT TENNIS SITES",
                    "page_from_status_code": 200,
                    "first_seen": "2023-01-21 12:11:58 +00:00",
                    "prev_seen": "2023-01-21 12:11:58 +00:00",
                    "last_seen": "2023-03-10 11:02:15 +00:00",
                    "item_type": "anchor",
                    "attributes": null,
                    "dofollow": true,
                    "original": false,
                    "alt": null,
                    "anchor": "FIFA:",
                    "text_pre": null,
                    "text_post": "Football Association",
                    "semantic_location": null,
                    "links_count": 2,
                    "group_count": 0,
                    "is_broken": false,
                    "url_to_status_code": 301,
                    "url_to_spam_score": 0,
                    "url_to_redirect_target": "https://www.fifa.com/",
                    "is_indirect_link": false,
                    "indirect_link_path": null
                  }
                ]
              },
              "summary": {
                "intersections_count": 2
              }
            },
            {
              "page_intersection": {
                "1": [
                  {
                    "type": "backlinks_page_intersection",
                    "domain_from": "www.angelfire.com",
                    "url_from": "https://www.angelfire.com/my/uk100/olympic.html",
                    "url_from_https": true,
                    "domain_to": "www.football.com",
                    "url_to": "http://www.football.com/",
                    "url_to_https": false,
                    "tld_from": "com",
                    "is_new": false,
                    "is_lost": false,
                    "backlink_spam_score": 45,
                    "rank": 0,
                    "page_from_rank": 0,
                    "domain_from_rank": 594,
                    "domain_from_platform_type": [
                      "unknown"
                    ],
                    "domain_from_is_ip": false,
                    "domain_from_ip": "209.202.252.105",
                    "domain_from_country": "US",
                    "page_from_external_links": 119,
                    "page_from_internal_links": 10,
                    "page_from_size": 27647,
                    "page_from_encoding": "utf-8",
                    "page_from_language": null,
                    "page_from_title": "100 HOT OLYMPIC SITES",
                    "page_from_status_code": 200,
                    "first_seen": "2023-01-21 12:12:27 +00:00",
                    "prev_seen": "2023-01-21 12:12:27 +00:00",
                    "last_seen": "2023-03-10 11:01:51 +00:00",
                    "item_type": "anchor",
                    "attributes": null,
                    "dofollow": true,
                    "original": false,
                    "alt": null,
                    "anchor": "football.com",
                    "text_pre": null,
                    "text_post": null,
                    "semantic_location": null,
                    "links_count": 1,
                    "group_count": 0,
                    "is_broken": false,
                    "url_to_status_code": 301,
                    "url_to_spam_score": 0,
                    "url_to_redirect_target": "https://www.football.com/",
                    "is_indirect_link": false,
                    "indirect_link_path": null
                  }
                ],
                "2": [
                  {
                    "type": "backlinks_page_intersection",
                    "domain_from": "www.angelfire.com",
                    "url_from": "https://www.angelfire.com/my/uk100/olympic.html",
                    "url_from_https": true,
                    "domain_to": "www.fifa.com",
                    "url_to": "http://www.fifa.com/",
                    "url_to_https": false,
                    "tld_from": "com",
                    "is_new": false,
                    "is_lost": false,
                    "backlink_spam_score": 45,
                    "rank": 0,
                    "page_from_rank": 0,
                    "domain_from_rank": 594,
                    "domain_from_platform_type": [
                      "unknown"
                    ],
                    "domain_from_is_ip": false,
                    "domain_from_ip": "209.202.252.105",
                    "domain_from_country": "US",
                    "page_from_external_links": 119,
                    "page_from_internal_links": 10,
                    "page_from_size": 27647,
                    "page_from_encoding": "utf-8",
                    "page_from_language": null,
                    "page_from_title": "100 HOT OLYMPIC SITES",
                    "page_from_status_code": 200,
                    "first_seen": "2023-01-21 12:12:27 +00:00",
                    "prev_seen": "2023-01-21 12:12:27 +00:00",
                    "last_seen": "2023-03-10 11:01:51 +00:00",
                    "item_type": "anchor",
                    "attributes": null,
                    "dofollow": true,
                    "original": false,
                    "alt": null,
                    "anchor": "FIFA:",
                    "text_pre": null,
                    "text_post": "Football Association",
                    "semantic_location": null,
                    "links_count": 2,
                    "group_count": 0,
                    "is_broken": false,
                    "url_to_status_code": 301,
                    "url_to_spam_score": 0,
                    "url_to_redirect_target": "https://www.fifa.com/",
                    "is_indirect_link": false,
                    "indirect_link_path": null
                  }
                ]
              },
              "summary": {
                "intersections_count": 2
              }
            }
          ]
        }
      ]
    }
  ]
}